Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.consumer.interceptor
Interface IGetRenderDependenciesInterceptor

    public interface IGetRenderDependenciesInterceptor

Implementations of this interface can be used to intercept "getRenderDependencies" WSRP operations on the consumer side. The getRenderDependencies request obtains render dependencies and script fragments.

To register an implementation of this interface as an interceptor, it must be specified in the WEB-INF/wsrp-consumer-handler-config.xml file. Look in e-Docs for WSRP interceptor for further documentation on configuring interceptors in wsrp-consumer-handler-config.xml.

Method Summary
`Status.OnFault` | `onFault(IGetRenderDependenciesRequestContext requestContext, IGetRenderDependenciesResponseContext responseContext, Throwable t)` This method is invoked when the consumer receives a SOAP fault in response to the request.
`Status.OnIOFailure` | `onIOFailure(IGetRenderDependenciesRequestContext requestContext, IGetRenderDependenciesResponseContext responseContext, Throwable t)` This method is invoked when the conusmer encounters an exception while sending the request or receiving the response.
`Status.PostInvoke` | `postInvoke(IGetRenderDependenciesRequestContext requestContext, IGetRenderDependenciesResponseContext responseContext)` This method is invoked after receiving a response message from the producer.
`Status.PreInvoke` | `preInvoke(IGetRenderDependenciesRequestContext requestContext)` This method is invoked prior to sending a request a message to the producer.

Method Detail

### preInvoke

    Status.PreInvoke preInvoke(IGetRenderDependenciesRequestContext requestContext)

  This method is invoked prior to sending a request a message to the producer. This methods allows the interceptor to change some of the request data.

  Parameters
    `requestContext` -
  Returns
    status

### postInvoke

    Status.PostInvoke postInvoke(IGetRenderDependenciesRequestContext requestContext,
                                 IGetRenderDependenciesResponseContext responseContext)

  This method is invoked after receiving a response message from the producer. This method allows the interceptor to modify some of the response data.

  Parameters
    `requestContext` -
    `responseContext` -
  Returns
    status

### onFault

    Status.OnFault onFault(IGetRenderDependenciesRequestContext requestContext,
                           IGetRenderDependenciesResponseContext responseContext,
                           Throwable t)

  This method is invoked when the consumer receives a SOAP fault in response to the request. The interceptor can handle the fault, or retry the request.

  Parameters
    `requestContext` -
    `responseContext` -
    `t` - fault
  Returns
    status

### onIOFailure

    Status.OnIOFailure onIOFailure(IGetRenderDependenciesRequestContext requestContext,
                                   IGetRenderDependenciesResponseContext responseContext,
                                   Throwable t)

  This method is invoked when the conusmer encounters an exception while sending the request or receiving the response. The interceptor can handle the exception, or retry the request.

  Parameters
    `requestContext` -
    `responseContext` -
    `t` - exception
  Returns
    status

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.